<!DOCTYPE html>
<html>
    <head>
        <title>Explorer Account</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
        <style>
			html,
			body,
			header,
			#intro {
				height: 100%;
			}

			#intro {
				background: url("https://wallpapercave.com/wp/wp4098405.jpg")no-repeat center center fixed;
				-webkit-background-size: cover;
				-moz-background-size: cover;
				-o-background-size: cover;
				background-size: cover;

			}
			.nav-item:hover {
				background-color:black;
			}
            #login-section{color:azure}
            .input-group{display:flex; justify-content: center;}
		</style>
    </head>
    <body onload="pullClientInfo()">
		<!--Main Navigation-->
		<header>

			<!--Navbar-->
			<nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">

				<div class="container">

					<!-- Navbar brand -->
					<a class="navbar-brand" href="./launch.html">Launch</a>

					<!-- Collapse button -->
					<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav"
						aria-controls="basicExampleNav" aria-expanded="false" aria-label="Toggle navigation">
						<span class="navbar-toggler-icon"></span>
					</button>

					<!-- Collapsible content -->
					<div class="collapse navbar-collapse" id="basicExampleNav">

						<!-- Links -->
						<ul class="navbar-nav mr-auto smooth-scroll">
							<li class="nav-item">
								<a class="nav-link" href="./home.html">Home</a>
							</li>
							<li class="nav-item">
								<a id="admin-portal" class="nav-link" href='./admin-portal.html' hidden>Admin Portal</a>
							</li>
              <li class="nav-item">
								<a id="pilot-portal" class="nav-link" href='./commander-portal.html' hidden>Pilot Portal</a>
							</li>
              <li class="nav-item">
								<button class="btn btn-outline-light" id="logout-nav-item">Logout</button>
							</li>
						</ul>
						<!-- Links -->

					</div>
					<!-- Collapsible content -->

				</div>

			</nav>
			<!--/.Navbar-->

			<!--Mask-->
			<div id="intro" class="view">

				<div class="mask rgba-black-strong">

					<div class="container-fluid d-flex align-items-center justify-content-center h-100">

						<div class="row d-flex justify-content-center text-center">

							<div class="col-md-10">
                                </br></br></br></br></br></br></br></br></br>
								<!-- Heading -->
								<h2 class="display-4 font-weight-bold white-text pt-5 mb-2" style="color: white;">Explorer Portal</h2>

								<!-- Divider -->
								<hr class="hr-light" style="color: white;">

								<!-- Description -->
								<h4 class="white-text my-4" style="color: white;">Is your info is up-to-date?</h4>
								<button type="button" class="btn btn-outline-light" onclick="window.location.href='#client-setup'">Account Info<i class="fa fa-book ml-2"></i></button>

							</div>

						</div>

					</div>

				</div>

			</div>
			<!--/.Mask-->

		</header>
		<!--Main Navigation-->

		<!--Main layout-->
		<main class="mt-5">
			<div class="container">

				<section id="client-setup" class="text-left">

					<!-- Heading -->
					<h2 class="mb-5 font-weight-bold">Account Information</h2>


            <table id="client-info-table" class="table table-striped table-hover">
              <caption>Client Information</caption>
              <thead>
                <tr>
                  <th scope="col">Info</th>
                  <th scope="col">Value</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <th scope="row">Username</th>
                  <td id="username"></td>
                </tr>
                <tr>
                  <th scope="row">Password</th>
                  <td>**********</td>
                </tr>
                <tr>
                  <th scope="row">Role</th>
                  <td id="role"></td>
                </tr>
                <tr hidden>
                  <th scope="row">Allocation</th>
                  <td id="allocation"></td>
                </tr>
                <tr hidden>
                  <th scope="row">Launch Site</th>
                  <td id="launch-site"></td>
                </tr>
                <tr>
                  <th scope="row">Name</th>
                  <td id="name"></td>
                </tr>
                <tr>
                  <th scope="row">Email</th>
                  <td id="email"></td>
                </tr>
                <tr>
                  <th scope="row">Address</th>
                  <td id="address"></td>
                </tr>
                <tr>
                  <th scope="row">Phone Number</th>
                  <td id="phone-number"></td>
                </tr>
                <tr>
                  <th scope="row">Weight</th>
                  <td id="weight"></td>
                </tr>
                <tr>
                  <th scope="row">Age</th>
                  <td id="age"></td>
                </tr>
              </tbody>
            </table>

            <div id="message-error" hidden></div>

            <button id="update-info" type="button" class="btn btn-outline-dark btn-lg" data-bs-toggle="offcanvas" data-bs-target="#offcanvasExample" aria-controls="offcanvasExample">Update Info</button>
            <button id="add-info" type="button" class="btn btn-outline-dark btn-lg">Add Info</button>
            </br></br></br>

            <select id="info-select" class="form-select form-select-lg mb-3" onchange="updateSelect(this.value)" aria-label=".form-select-lg example" hidden>
              <option selected>Update...</option>
              <option value="name">Name</option>
              <option value="email">Email</option>
              <option value="phone">Phone Number</option>
              <option value="address">Address</option>
              <option value="weight">Weight</option>
              <option value="age">Age</option>
            </select>
            </br></br></br>
                    
					      <form id="client-info-form" class="row g-3 needs-validation" hidden>
						            <div class="row g-2">
                            <div class="col-md">
                              <div class="form-floating">
                                <input type="text" class="form-control" id="fullName" placeholder="Full Name" disabled>
                                <label for="fullName">Full Name</label>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                              </div>
                            </div>
                        </div>                  
                        <div class="row g-2">
                          <div class="col-md">
                            <div class="form-floating">
                              <input type="text" class="form-control" id="emailInput" placeholder="name@example.com" disabled>
                              <label for="emailInput">Email</label>
                              <div class="valid-feedback">
                                  Looks good!
                              </div>
                            </div>
                          </div>
                          <div class="col-md">
                              <div class="form-floating">
                                <input type="tel" class="form-control" id="phone-num" placeholder="name@example.com" disabled>
                                <label for="phone-num">Phone Number</label>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                              </div>
                          </div>
                      </div>
                      <div class="row g-2">
                        <div class="col-md">
                          <div class="form-floating">
                            <input type="text" class="form-control" id="addressInput" placeholder="name@example.com" disabled>
                            <label for="addressInput">Address</label>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="row g-2">
                        <div class="col-md">
                          <div class="form-floating">
                            <input type="number" step=".01" class="form-control" id="weightInput" placeholder="name@example.com" disabled>
                            <label for="weightInput">Weight</label>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                          </div>
                        </div>
                        <div class="col-md">
                            <div class="form-floating">
                              <input type="number" class="form-control" id="ageInput" placeholder="name@example.com" disabled>
                              <label for="ageInput">Age</label>
                              <div class="valid-feedback">
                                  Looks good!
                              </div>
                            </div>
                        </div>
                      </div>
                      <div id="password-error" hidden></div>
                      <div class="col-12">
                        <button id="user-info-submit" class="btn btn-outline-dark" type="submit" disabled>Submit Explorer Info</button>
                      </div>
                </form>
                        
                



				</section>
				<!--Section: Best Features-->

				<hr class="my-5">

			</div>
      
		</main>
		<!--Main layout-->
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
		<script src='server-requests.js'></script>
    <script src='client-account.js'></script>
	</body>
</html>